class Squares:                                 # Metoda __iter__ + instrukcja yield
    def __init__(self, start, stop):           # Automatyczna/domniemana metoda __next__
        self.start = start
        self.stop  = stop

    def __iter__(self):
        for value in range(self.start, self.stop + 1):
            yield value ** 2

